Bug 849676 - retrace server couldn't calc backtrace for xorg-x11-server-Xorg from Fedora updates-testing repository
retrace server couldn't calc backtrace for xorg-x11-server-Xorg from Fedora ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: retrace-server (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 10:48 EDT by Mikhail
Modified: 2012-09-12 05:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-12 05:14:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2012-08-20 10:48:14 EDT
Description of problem:
--- Running analyze_LocalGDB ---
Analyzing coredump 'coredump'
Coredump references 39 debuginfo files, 21 of them are not installed
Setting up yum repositories
Looking for needed packages in repositories
Packages to download: 13

audit-debuginfo-2.2.1-1.f 0% [==========      ]  0.0 B/s | 574 kB     --:-- ETA 

audit-debuginfo-2.2.1-1.fc17.i686.rpm                    | 916 kB     00:00     
Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-08-20-20:34:44.2451/audit-debuginfo-2.2.1-1.fc17.i686.rpm
Caching files from unpacked.cpio made from audit-debuginfo-2.2.1-1.fc17.i686.rpm

libpciaccess-debuginfo-0.13.1-1.fc17.i686.rpm            |  67 kB     00:00     
Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-08-20-20:34:44.2451/libpciaccess-debuginfo-0.13.1-1.fc17.i686.rpm
Caching files from unpacked.cpio made from libpciaccess-debuginfo-0.13.1-1.fc17.i686.rpm

xorg-x11-server-debuginfo 0% [-               ]  0.0 B/s | 655 kB     --:-- ETA 

xorg-x11-server-debuginfo 0% [===-            ] 3.6 MB/s | 3.7 MB     00:03 ETA 

xorg-x11-server-debuginfo 0% [=====-          ] 3.8 MB/s | 5.8 MB     00:02 ETA 

xorg-x11-server-debuginfo 0% [=========       ] 4.2 MB/s | 9.0 MB     00:01 ETA 

xorg-x11-server-debuginfo 0% [============-   ] 4.6 MB/s |  12 MB     00:00 ETA 

xorg-x11-server-debuginfo 0% [=============== ] 4.8 MB/s |  15 MB     00:00 ETA 

xorg-x11-server-debuginfo-1.12.3-1.fc17.i686.rpm         |  16 MB     00:02     
Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-08-20-20:34:44.2451/xorg-x11-server-debuginfo-1.12.3-1.fc17.i686.rpm
Caching files from unpacked.cpio made from xorg-x11-server-debuginfo-1.12.3-1.fc17.i686.rpm

mtdev-debuginfo-1.1.0-3.20110105.fc17.i686.rpm           |  41 kB     00:00     
Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-08-20-20:34:44.2451/mtdev-debuginfo-1.1.0-3.20110105.fc17.i686.rpm
Caching files from unpacked.cpio made from mtdev-debuginfo-1.1.0-3.20110105.fc17.i686.rpm

xorg-x11-drv-evdev-debuginfo-2.7.0-2.fc17.i686.rpm       | 117 kB     00:00     
Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-08-20-20:34:44.2451/xorg-x11-drv-evdev-debuginfo-2.7.0-2.fc17.i686.rpm
Caching files from unpacked.cpio made from xorg-x11-drv-evdev-debuginfo-2.7.0-2.fc17.i686.rpm

xorg-x11-drv-intel-debugi 0% [===-            ]  0.0 B/s | 533 kB     --:-- ETA 

xorg-x11-drv-intel-debuginfo-2.20.1-1.fc17.i686.rpm      | 2.3 MB     00:00     
Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-08-20-20:34:44.2451/xorg-x11-drv-intel-debuginfo-2.20.1-1.fc17.i686.rpm
Caching files from unpacked.cpio made from xorg-x11-drv-intel-debuginfo-2.20.1-1.fc17.i686.rpm

udev-debuginfo-182-3.fc17 0% [==============- ]  0.0 B/s | 584 kB     --:-- ETA 

udev-debuginfo-182-3.fc17.i686.rpm                       | 623 kB     00:00     
Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-08-20-20:34:44.2451/udev-debuginfo-182-3.fc17.i686.rpm
Caching files from unpacked.cpio made from udev-debuginfo-182-3.fc17.i686.rpm

mesa-debuginfo-8.0.3-3.fc 0% [                ]  0.0 B/s | 649 kB     --:-- ETA 

mesa-debuginfo-8.0.3-3.fc 0% [=               ] 3.0 MB/s | 3.1 MB     00:14 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [=-              ] 3.4 MB/s | 5.8 MB     00:12 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [==-             ] 3.6 MB/s | 8.0 MB     00:10 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [===             ] 3.8 MB/s |  10 MB     00:09 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [====            ] 4.1 MB/s |  13 MB     00:08 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [=====           ] 4.4 MB/s |  15 MB     00:07 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [======          ] 4.6 MB/s |  18 MB     00:06 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [======-         ] 4.7 MB/s |  20 MB     00:05 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [=======         ] 4.8 MB/s |  22 MB     00:05 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [========        ] 4.9 MB/s |  24 MB     00:04 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [========-       ] 4.9 MB/s |  25 MB     00:04 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [========-       ] 4.8 MB/s |  27 MB     00:04 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [=========       ] 4.7 MB/s |  28 MB     00:04 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [=========-      ] 4.6 MB/s |  29 MB     00:04 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [==========      ] 4.5 MB/s |  30 MB     00:03 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [==========      ] 4.4 MB/s |  31 MB     00:03 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [==========-     ] 4.3 MB/s |  32 MB     00:03 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [===========     ] 4.3 MB/s |  33 MB     00:03 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [===========     ] 4.2 MB/s |  34 MB     00:03 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [===========-    ] 4.2 MB/s |  35 MB     00:03 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [============    ] 4.1 MB/s |  36 MB     00:02 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [============    ] 4.0 MB/s |  37 MB     00:02 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [============-   ] 4.0 MB/s |  38 MB     00:02 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [=============   ] 3.9 MB/s |  39 MB     00:02 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [=============   ] 3.9 MB/s |  40 MB     00:01 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [=============-  ] 3.9 MB/s |  41 MB     00:01 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [==============  ] 3.9 MB/s |  42 MB     00:01 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [==============- ] 3.8 MB/s |  43 MB     00:01 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [==============- ] 3.8 MB/s |  44 MB     00:00 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [=============== ] 3.7 MB/s |  45 MB     00:00 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [===============-] 3.7 MB/s |  46 MB     00:00 ETA 

mesa-debuginfo-8.0.3-3.fc 0% [===============-] 3.6 MB/s |  47 MB     00:00 ETA 

mesa-debuginfo-8.0.3-3.fc17.i686.rpm                     |  47 MB     00:10     
Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-08-20-20:34:44.2451/mesa-debuginfo-8.0.3-3.fc17.i686.rpm
Caching files from unpacked.cpio made from mesa-debuginfo-8.0.3-3.fc17.i686.rpm

libXfont-debuginfo-1.4.5-1.fc17.i686.rpm                 | 361 kB     00:00     
Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-08-20-20:34:44.2451/libXfont-debuginfo-1.4.5-1.fc17.i686.rpm
Caching files from unpacked.cpio made from libXfont-debuginfo-1.4.5-1.fc17.i686.rpm

libXdmcp-debuginfo-1.1.1-1.fc17.i686.rpm                 |  31 kB     00:00     
Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-08-20-20:34:44.2451/libXdmcp-debuginfo-1.1.1-1.fc17.i686.rpm
Caching files from unpacked.cpio made from libXdmcp-debuginfo-1.1.1-1.fc17.i686.rpm

libfontenc-debuginfo-1.1.0-2.fc17.i686.rpm               |  37 kB     00:00     
Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-08-20-20:34:44.2451/libfontenc-debuginfo-1.1.0-2.fc17.i686.rpm
Caching files from unpacked.cpio made from libfontenc-debuginfo-1.1.0-2.fc17.i686.rpm

xorg-x11-drv-vesa-debuginfo-2.3.1-1.fc17.i686.rpm        |  62 kB     00:00     
Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-08-20-20:34:44.2451/xorg-x11-drv-vesa-debuginfo-2.3.1-1.fc17.i686.rpm
Caching files from unpacked.cpio made from xorg-x11-drv-vesa-debuginfo-2.3.1-1.fc17.i686.rpm

xorg-x11-drv-fbdev-debuginfo-0.4.2-8.fc17.i686.rpm       |  44 kB     00:00     
Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-08-20-20:34:44.2451/xorg-x11-drv-fbdev-debuginfo-0.4.2-8.fc17.i686.rpm
Caching files from unpacked.cpio made from xorg-x11-drv-fbdev-debuginfo-0.4.2-8.fc17.i686.rpm
Removing /tmp/abrt-tmp-debuginfo-2012-08-20-20:34:44.2451
All debuginfo files are available
Generating backtrace
Can't set gid 0: Operation not permitted
Backtrace is generated and saved, 0 bytes
Backtrace parsing failed for .
1:0: No frame and no thread found.

--- Running analyze_LocalGDB ---
Analyzing coredump 'coredump'
All debuginfo files are available
Generating backtrace
Can't set gid 0: Operation not permitted
Backtrace is generated and saved, 0 bytes
Backtrace parsing failed for .
1:0: No frame and no thread found.

--- Running analyze_RetraceServer ---
Querying server settings
Preparing an archive to upload
Uploading 683040 bytes
Upload successful
Retrace job started
Retrace job failed
Retrace failed. Try again later and if the problem persists report this issue please.
Analyzing crash data Error
Package 'xorg-x11-server-Xorg-1.12.3-1.fc17.i386' was not recognized.
Is it a part of official Fedora release 17 (Beefy Miracle) repositories?

(exited with 1)

--- Running analyze_RetraceServer ---
Querying server settings
Preparing an archive to upload
Uploading 683040 bytes
Upload successful
Retrace job started
Retrace job failed
Retrace failed. Try again later and if the problem persists report this issue please.
Analyzing crash data Error
Package 'xorg-x11-server-Xorg-1.12.3-1.fc17.i386' was not recognized.
Is it a part of official Fedora release 17 (Beefy Miracle) repositories?

(exited with 1)



$ yum info xorg-x11-server-Xorg
Loaded plugins: langpacks, presto, refresh-packagekit
google-chrome/primary                                                                                                                                             | 1.4 kB     00:00 !!! 
google-chrome                                                                                                                                                                        3/3
Installed Packages
Name        : xorg-x11-server-Xorg
Arch        : i686
Version     : 1.12.3
Release     : 1.fc17
Size        : 3.3 M
Repo        : installed
From repo   : updates-testing
Summary     : Xorg X server
URL         : http://www.x.org
License     : MIT
Description : X.org X11 is an open source implementation of the X Window System.  It
            : provides the basic low level functionality which full fledged
            : graphical user interfaces (GUIs) such as GNOME and KDE are designed
            : upon.
Comment 1 Michal Toman 2012-08-20 11:25:09 EDT
There is some delay between the RPM being published in updates-testing and retrace server building its cache. Could you please retry? I believe the package is available at the moment.
Comment 2 Jiri Moskovcak 2012-08-21 02:40:37 EDT
Michal, how about making the error message into a popup, so it's not so easy to miss?
Comment 3 Michal Toman 2012-08-21 04:52:13 EDT
There is a popup saying "Retrace failed. Try again later and if the problem persists report this issue please."

Also in the next ABRT version (available from updates-testing), retrace-client first asks retrace server whether the package is known and starts uploading the core only if it is.
Comment 4 Mikhail 2012-08-26 05:15:43 EDT
Thanks, now package is available.


What can you said about this problem?

--- Running analyze_LocalGDB ---
Analyzing coredump 'coredump'
All debuginfo files are available
Generating backtrace
Can't set gid 0: Operation not permitted
Backtrace is generated and saved, 0 bytes
Backtrace parsing failed for .
1:0: No frame and no thread found.

It occurs every time when I try use local GDB for crashes which only displayed, when i set checkbox 'show all problems'  in abrt tool.
Comment 5 Jiri Moskovcak 2012-09-12 05:14:09 EDT
(In reply to comment #4)
> Thanks, now package is available.
> 
> 
> What can you said about this problem?
> 
> --- Running analyze_LocalGDB ---
> Analyzing coredump 'coredump'
> All debuginfo files are available
> Generating backtrace
> Can't set gid 0: Operation not permitted
> Backtrace is generated and saved, 0 bytes
> Backtrace parsing failed for .
> 1:0: No frame and no thread found.
> 
> It occurs every time when I try use local GDB for crashes which only
> displayed, when i set checkbox 'show all problems'  in abrt tool.

This is a different problem and is already fixed in the latest abrt/libreport update.

Note You need to log in before you can comment on or make changes to this bug.